Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163789 - ACPI scripts are inactive & other problems (ac_adapter event not present)
Summary: ACPI scripts are inactive & other problems (ac_adapter event not present)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: acpid
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zdenek Prikryl
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 03:14 UTC by Robert Swinford
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-25 13:21:02 UTC


Attachments (Terms of Use)

Description Robert Swinford 2005-07-21 03:14:03 UTC
Description of problem:
ACPI scripts are inactive & other problems (ac_adapter event not present)

Version-Release number of selected component (if applicable):
acpid-1.0.4-1

How reproducible:
Everytime one installs and updates acpi if set as the primary mode of power
management is unavailable because fedora does not provids the scripts or the
necessary kernel modules

Steps to Reproduce:
1.
2.
3.
  
Actual results:
harddrive spindown, hd power management, laptopmode, etc.

Expected results:
nothing

Additional info:
inclusion of laptop-mode-tools from debian as an option or an extra would help
fix this problem, but that is still not enough.  a poweraction (battery event
which probes battery and ac_adapter status), event and action , must be created
around the the current acpi interface to produce a workable implementation. 

Additionally the inclusion of swsusp2 which I understand will be included in the
next stable kernel would greatly help ati users, as the recently included
radeontool and vbetool are.

I have workaround for all these problems and more, so if anyone is interested
email me.

Comment 1 Christian Iseli 2007-01-20 00:52:28 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Zdenek Prikryl 2007-07-25 13:21:02 UTC
Acpid only listens and dispatches ACPI events from the kernel. In rpm are basic
scripts, for some action like power button etc. At this time, we do not plan
inclusion any other project into acpid.

Thanks,

Zdenek


Note You need to log in before you can comment on or make changes to this bug.